SolidWorks宏如何使用?

SolidWorks宏效果:

文章末尾下载模型

方法:

1.点击“旋转凸台/基体”,在前视基准面绘制如下图所示的草绘。

2.不退出草图,点击【工具】-【宏】-【录制】,如下图所示。

此时弹出如下图所示的宏命令窗口。

3.标注圆弧的半径,注意标注的名称:D1@草图1,我们会在后面的程序里用到。

4.暂停宏的录制。

5.再次点击“旋转凸台/基体”,在前视基准面绘制如下图所示的草绘。

6。点击宏窗口中的“录制/暂停宏”,重新开始宏的录制。

7.标注圆弧的半径,注意标注的名称:D2@草图2,我们会在后面的程序里用到。

8.停止宏的录制,保存宏文件。

9.完成。

10.点击“拉伸凸台/基体”,在右视基准面绘制直径为5的圆,拉伸深度250mm。

11。点击【工具】-【宏】-【编辑】,对第8步创建的宏文件进行编辑。

' ******************************************************************************

' 机械时代网

' ******************************************************************************

华阳彩票Dim swApp As Object

Dim Part As Object

Dim boolstatus As Boolean

华阳彩票Dim longstatus As Long, longwarnings As Long

Sub main()

Set swApp = _Application.SldWorks

Set Part = swApp。ActiveDoc

Dim myModelView As Object

Set myModelView = Part.ActiveView

myModelView。FrameState = swWindowState_e。swWindowMaximized

boolstatus = Part。Extension。SelectByID2("Arc1", "SKETCHSEGMENT", -3。34257815068415E-02, 3。85000625199539E-02, 0, False, 0, Nothing, 0)

Dim myDisplayDim As Object

Set myDisplayDim = Part.AddDimension2(-7.66050911352832E-02, 5.93818597992822E-02, 0)

华阳彩票Part。ClearSelection2 True

Dim myDimension As Object

'设置草图1中的尺寸D1命名为myDimension1

Set myDimension1 = Part.Parameter("D1@草图1")

myDimension1.SystemValue = 0.05

boolstatus = Part.Extension.SelectByID2("Arc1", "SKETCHSEGMENT", 0.218813672939049, 2.90099272265772E-02, 0, False, 0, Nothing, 0)

Set myDisplayDim = Part。AddDimension2(0。148814034900672, 8。75673167394499E-02, 0)

Part.ClearSelection2 True

'设置草图2中的尺寸D2命名为myDimension2

Set myDimension2 = Part.Parameter("D2@草图2")

myDimension2.SystemValue = 0.05

'对尺寸D1和D2进行操作

For i = 0 To 24

myDimension1.SystemValue = myDimension1.SystemValue + 0.002

myDimension2.SystemValue = myDimension2.SystemValue - 0.002

boolstatus = Part。EditRebuild3()

t = Timer

While Timer < t + 0.1

DoEvents

Wend

Next

'对尺寸D1和D2进行操作

For i = 0 To 24

myDimension1。SystemValue = myDimension1。SystemValue - 0。002

myDimension2.SystemValue = myDimension2.SystemValue + 0.002

boolstatus = Part.EditRebuild3()

t = Timer

华阳彩票While Timer < t + 0.1

DoEvents

Wend

Next

End Sub

12。运行宏文件。

模型下载:

此处为隐藏的内容!
登录后方可查看!
  • Proe知识
  • 扫二维码关注微信公众号
  • weinxin
  • SolidWorks技巧
  • 扫二维码关注微信公众号
  • weinxin
SW建模最后更新:2020年6月25日
  • 本文由 发表于 2020年5月20日22:50:41
  • 除非特殊声明,本站文章均为原创,转载请务必保留本文链接
SolidWorks竞赛练习题(19) SW建模

SolidWorks竞赛练习题(19)

完成结果: 文章末尾下载模型和练习题 方法: 1.在前视基准面绘制如下图所示的草图。 2.在右视基准面绘制如下图所示的草图。 3.点击扫描,...
SolidWorks竞赛练习题(18) SW建模

SolidWorks竞赛练习题(18)

完成结果: 文章末尾下载模型和练习题 方法: 1.在前视基准面绘制如下图所示的草图,草图分为两个封闭的部分。 2.点击“拉伸凸台/基体”。注...
SolidWorks竞赛练习题(17) SW建模

SolidWorks竞赛练习题(17)

完成结果: 文章末尾下载模型和练习题 方法: 1.点击“旋转凸台/基体”,在前视基准面绘制如下图所示的草图。 完成。 2.点击“拉伸凸台/基...

您必须华阳彩票才能发表评论!